openerp.eiru_ticket_bill_kitchen = function (instance) {
    var module   = instance.point_of_sale;
    var _t = instance.web._t,
        _lt = instance.web._lt;
    var QWeb = instance.web.qweb;


    module.ReceiptScreenWidget = module.ScreenWidget.extend({
        template: 'ReceiptScreenWidget',

        show_numpad:     false,
        show_leftpane:   false,

        show: function(){
            this._super();
            var self = this;

            var print_button = this.add_action_button({
                    label: _t('Print'),
                    icon: '/point_of_sale/static/src/img/icons/png48/printer.png',
                    click: function(){ self.print(); },
                });

            var finish_button = this.add_action_button({
                    label: _t('Next Order'),
                    icon: '/point_of_sale/static/src/img/icons/png48/go-next.png',
                    click: function() { self.finishOrder(); },
                });

            this.refresh();

            if (!this.pos.get('selectedOrder')._printed) {
                this.print();
            }

            finish_button.set_disabled(true);
            setTimeout(function(){
                finish_button.set_disabled(false);
            }, 2000);
        },
        print: function() {
            this.pos.get('selectedOrder')._printed = true;
            window.print();
        },
        finishOrder: function() {
            this.pos.get('selectedOrder').destroy();
        },
        refresh: function() {
            var data = [];
            var order = this.pos.get('selectedOrder');
            var categories = this.pos.printers[0].config.product_categories_ids;
            var orderlines = order.get('orderLines').models;

            _.each(orderlines, function(item){
                for (var i = 0; i < categories.length; i++) {
                    if(item.product.pos_categ_id[0] == categories[i]){
                        data.push({
                            product_id: item.product.id,
                            product_name: item.product.display_name,
                            product_pack_lines: item.pack_lines,
                            product_qty: ' --> ' + item.quantity,
                            line_id: item.id,
                        })
                    }
                }
            });

            $('.pos-receipt-container', this.$el).html(QWeb.render('PosTicket',{
                widget:this,
                order: order,
                orderlines: order.get('orderLines').models,
                paymentlines: order.get('paymentLines').models,
                kitchenlines: data, 
            }));
        },
        close: function(){
            this._super();
        }
    });
}